osso-connectivity-ui (1.5.42) unstable; urgency=low

  * Check for network existence in connection manager. Fixes: NB#84526

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 23 Apr 2008 11:05:25 +0300

osso-connectivity-ui (1.5.41) unstable; urgency=low

  * Handle AuthenticationCanceled as any other error. Fixes: NB#84627

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 22 Apr 2008 12:41:15 +0300

osso-connectivity-ui (1.5.40) unstable; urgency=low

  * Disable GConf notifications when exporting IAP. Fixes: NB#83362
  * Ensure profiles are saved before pairing callback. Fixes: NB#84149
  * Destroyed scan entries are also removed from list. Fixes: NB#83750
  * Tweak select connection dialog scrolling logic. Fixes: NB#84455
  * Tweak scan stop detection mechanism.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 18 Apr 2008 11:19:15 +0300

osso-connectivity-ui (1.5.39) unstable; urgency=low

  * Add support for WiMAX provisioning dialog. Fixes: NB#83839

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  8 Apr 2008 17:23:11 +0300

osso-connectivity-ui (1.5.38) unstable; urgency=low

  * Don't refer pairing error after user callback. Fixes: NB#83766
  * Add debug package for iapsettings. Fixes: NB#83752

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  7 Apr 2008 12:08:48 +0300

osso-connectivity-ui (1.5.37) unstable; urgency=low

  * Separated WiMAX finish page in IAP wizard. Fixes: NB#83468
  * Call pairing callback in idle function. Fixes: NB#83538
  * Restart ICd scan when iap_scan_start() is restarted. Fixes: NB#83565
  * Replace destoyed scan entry in scan list. Fixes: NB#83662

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  4 Apr 2008 13:06:00 +0300

osso-connectivity-ui (1.5.36) unstable; urgency=low

  * Do not destroy GwObexXfer or GwObex in a callback. Fixes: NB#83080

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 31 Mar 2008 14:31:14 +0300

osso-connectivity-ui (1.5.35) unstable; urgency=low

  * Fixed "Connect automatically" list order. Fixes: NB#83336

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 31 Mar 2008 10:33:18 +0300

osso-connectivity-ui (1.5.34) unstable; urgency=low

  * Schedule obex close idle functions only once. Fixes: NB#82806

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 26 Mar 2008 12:50:29 +0200

osso-connectivity-ui (1.5.33) unstable; urgency=low

  * Ensure that GwOBEX context is closed before RFCOMM.
    Fixes: NB#82767, NB#82806

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 20 Mar 2008 10:44:19 +0200

osso-connectivity-ui (1.5.32) unstable; urgency=low

  * Fixed promotion dialog to show as specified. Fixes: NB#82644

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 18 Mar 2008 08:59:53 +0200

osso-connectivity-ui (1.5.31) unstable; urgency=low

  * Disable phone disconnect, if no phone is selected. Fixes: NB#82457
  * Handle flightmode when reporting inetstate. Fixes: NB#82423
  * Copy scan result information before easywlan. Fixes: NB#82284

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 14 Mar 2008 13:51:37 +0200

osso-connectivity-ui (1.5.30) unstable; urgency=low

  * Fixed crash related to service property querying. Fixes: NB#82051
  * Use correct string IDs in IP address dialog. Fixes: NB#82003
  * Hack promotion dialog to wrap labels. Fixes: NB#82074
  * Do not clear state, if not getting ICd signals. Fixes: NB#82183

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 10 Mar 2008 10:57:34 +0200

osso-connectivity-ui (1.5.29) unstable; urgency=low

  * Always add scan entry to its own related results. Use only related
    results list to make actual connection. Fixes: NB#81602
  * Timeout in inetstate if signals are not received. Fixes: NB#81603

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  3 Mar 2008 13:00:30 +0200

osso-connectivity-ui (1.5.28) unstable; urgency=low

  * Show "file read only" banner when needed in BT file receiving.
  * Check GnomeVFS EOF in gwobex progress callback. Fixes: NB#81206
  * Sort related scan results list according to priorities.
  * Show "memory full" note when needed in BT file receiving.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 26 Feb 2008 14:41:30 +0200

osso-connectivity-ui (1.5.27) unstable; urgency=low

  * Always signal NO_CONN when entering normal mode. Fixes: NB#80809
  * Customize service based IAPs also in Connections dialog.
  * Use connui_inetstate in Connections dialog. Fixes: NB#80877
  * Signal "connection lost" only for connected connections.
  * Check for closed conndlg after easywlan dialogs. Fixes: NB#81002
  * Fixed scan list ordering: preferred service before last used.
  * Fixed to show and handle GConf escaped IAP/network IDs correctly.
  * Make GPS disclaimer dialog system modal. Fixes: NB#81085

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 21 Feb 2008 08:24:48 +0200

osso-connectivity-ui (1.5.26) unstable; urgency=low

  * Added few checks to suppress unnecessary warnings at some cases.
  * Check also temporary flag, when resolving if network is saved.
  * Use new ICd2 API to connect also EasyWLAN networks.
  * Count scanned networks and check scan complete based on that.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 15 Feb 2008 13:59:09 +0200

osso-connectivity-ui (1.5.25) unstable; urgency=low

  * Updated to use new ICd2 state signal.
  * Fixed IAP wizard finish to connect WiMAX network correctly
  * Set some text initially on IAP wizard finish page. Fixes: NB#80502
  * More conditions for showing connection name in use. Fixes: NB#80519

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 12 Feb 2008 13:20:05 +0200

osso-connectivity-ui (1.5.24) unstable; urgency=low

  * Fixed GConf schema installation in postinst. Fixes: NB#79755
  * When ICd2 doesn't respond, assume no connections. Fixes: NB#79875
  * Get SSID for saved WLAN connection found in scan. Fixes: NB#79728
  * Scroll scan list up also on sequential updates. Fixes: NB#80196
  * Applied patch from jtp to handle NETWORKUP status.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  5 Feb 2008 14:12:12 +0200

osso-connectivity-ui (1.5.23) unstable; urgency=low

  * Get rid of common_widgets
  * Restructured files to have better layout in project.
  * Moved BT related CPA sources to their own directory
  * Fixed prefix in utility functions.
  * Partial: NR#188818
  * Support dimming of OK button in Select connection dialog.
  * Refcount number of scans.
  * Add GConf key for disabling BT headset on specific hardware.
  * Moved many configuration files under corresponding subdirs.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 23 Jan 2008 12:23:40 +0200

osso-connectivity-ui (1.5.22) unstable; urgency=low

  * Remove pin dialog insensitive banner when pairing. Fixes: NB#76975
  * Make sure that both preferred service type and ID are provided.
  * Fix service based ordering in scan view.
  * Check that we get sensible values from ICd in common_inetstate.
  * Fixes to service name and IAP name usage.
  * Removed first scan item selection in a timeout.
  * Always scroll scan view to top until touched. Fixes: NB#79134

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 11 Jan 2008 14:48:44 +0200

osso-connectivity-ui (1.5.21) unstable; urgency=low

  * Restructured not to depend that network name == IAP ID.
  * Return well known logical ID for missing WIMAX name.
  * Fixed IAP wizard advanced settings help.
  * Added helps to IAP wizard pages. Fixes: NB#78746
  * Implemented: NR#185813
  * Add detection for HW to get WIMAX support. Fixes: NB#78993
  * Map non-exact matches for auto connect value.
  * Implemented: NR#185809
  * Fixed to select phone after pairing.
  * Added more autoconf checks.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  8 Jan 2008 14:10:33 +0200

osso-connectivity-ui (1.5.20) unstable; urgency=low

  * Return name for temporary WLANs properly. Fixes: NB#78904
  * Scan result aggregation for services
  * Restructured gwhwdetect to be part of libconbtui.
  * Whitespace cleanup.
  * Fixed to build with GCC 4.x toolchain.
  * Do not use signal handlers in operator cell renderer.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  3 Jan 2008 14:34:18 +0200

osso-connectivity-ui (1.5.19) unstable; urgency=low

  * Fixed to show service information correctly.
  * Save last used IAP correctly in connection dialog. Fixes: NB#77366
  * Changed any connection value to ["*"].
  * Don't allow blank bluetooth names. Fixes: NB#76976
  * Use nw_attr <-> wlan_cap conversions from libicd-network-wlan-dev

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 18 Dec 2007 14:43:39 +0200

osso-connectivity-ui (1.5.18) unstable; urgency=low

  * Do not use "[EasyWLAN" string in easywlan IAPs.
  * Use ICd2 connect_req to connect anything else than EasyWLAN.
    Fixes: NB#77405
  * Due to bug 77577 use connect_req only for WiMAX.
  * Use new Bluez error names.
  * Merged patches to WiMAX specific service handling.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 11 Dec 2007 08:09:19 +0200

osso-connectivity-ui (1.5.17) unstable; urgency=low

  * Various fixes to service handling.
  * Save service information when creating IAP.
  * Separated ScanEntry and NetworkEntry.
  * Start connecting WiMAX from promotion dialog.
  * Resolve IAP type icon names more dynamically.
  * Install icon names in GConf schema file.
  * Resolve IAP type strings more dynamically.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 28 Nov 2007 15:53:26 +0200

osso-connectivity-ui (1.5.16) unstable; urgency=low

  * Provide promotion UI API according to libicd-service-wimax-dev.
  * Fixed service name rendering.
  * Put empty autoconnect list to GConf, when "Always ask" is selected.
    Fixes: NB#76843

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 23 Nov 2007 15:10:04 +0200

osso-connectivity-ui (1.5.15) unstable; urgency=low

  * Treat auto connect value as a list of IAP types.
  * Removed type from statusbar desktop files.
  * Save idle timeouts per network type.
  * Properly check for existing IAP name. Fixes: NB#75901
  * Never connect to computer devices after pairing. Fixes: NB#75551
  * Dismiss BT details dialog, if the device is removed. Fixes: NB#74510

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 20 Nov 2007 10:50:33 +0200

osso-connectivity-ui (1.5.14) unstable; urgency=low

  * Implemented provisioning banners.
  * Restructured gwhwdetect to be part of libconbtui. Fixes: NB#75745
  * Removed old hacks from statusbar plugins. Fixes: NB#74882
  * Added type to statusbar desktop files.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 16 Nov 2007 12:12:28 +0200

osso-connectivity-ui (1.5.13) unstable; urgency=low

  * Use temporary flag for easywlan/wimax IAP.
  * Implemented service type and ID usage in the UI.
  * Assume no connection state when ICd2 exists DBUS.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  9 Nov 2007 13:28:00 +0200

osso-connectivity-ui (1.5.12) unstable; urgency=low

  * Handle btsearch dialog creation failure in conndlgs. Fixes: NB#74446
  * Fixed to handle signal strength similarly as before. Fixes: NB#74792
  * Call gw_obex_xfer_write() only once in the callback. Fixes: NB#75317

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  6 Nov 2007 12:02:52 +0200

osso-connectivity-ui (1.5.11) unstable; urgency=low

  * Partial: NR#185812
  * Do not try to get name or settings for an empty IAP ID.
  * Set gwobex transfer as non-blocking.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  2 Nov 2007 16:49:53 +0200

osso-connectivity-ui (1.5.10) unstable; urgency=low

  * Various scanning improvements. Fixes: NB#73827, NB#74158

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 25 Oct 2007 11:23:40 +0300

osso-connectivity-ui (1.5.9) unstable; urgency=low

  * Removed osso-ic dependency. Fixes: NB#74028

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 23 Oct 2007 17:12:56 +0300

osso-connectivity-ui (1.5.8) unstable; urgency=low

  * Bluetooth peripheral pairing and 1st connection improvements.
  * Fixed proxy settings
  * Made GPS disclaimer dialog a little bit taller. Fixes: NB#73463
  * Depend between osso-connectivity-ui and libconbtui. Fixes: NB#73541
  * Fixed connection sorting and last used IAP saving. Fixes: NB#71651

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 18 Oct 2007 11:23:02 +0300

osso-connectivity-ui (1.5.7) unstable; urgency=low

  * Provisioning received dialog and preliminary operator promotion
    dialog implemented.
  * Partial: NR#185808, NR#185810
  * Implemented: NR#185809, NR#185811, NR#185813, NR#185814, NR#185815,
    NR#185816, NR#185817, NR#185818, NR#185819, #NR185820, NR#185821,
    NR#185822, NR#185823, NR#185824, NR#185825

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 12 Oct 2007 10:47:56 +0300

osso-connectivity-ui (1.5.6) unstable; urgency=low

  * Fixes to IAP wizard and WIMAX IAP handling.
  * Added test script to add fake scan results to UI.
  * Fixed dependencies in makefiles.
  * Fixes to service handling in UI.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  9 Oct 2007 16:37:45 +0300

osso-connectivity-ui (1.5.5) unstable; urgency=low

  * Merged patches from Chinook.
  * Fixes to Connectivity CPA.
  * Fixed to stop scanning properly in all cases.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  5 Oct 2007 07:07:16 +0300

osso-connectivity-ui (1.5.4) unstable; urgency=low

  * Query active IAP in iapsettings via DBUS. Fixes: NB#69395
  * IAP ID is not IAP name (required by WiMAX connection setup wizard).

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 27 Sep 2007 10:08:56 +0300

osso-connectivity-ui (1.5.3) unstable; urgency=low

  * Added WiMAX support to Connection Manager
  * Merged patches from Chinook.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 21 Sep 2007 16:39:11 +0300

osso-connectivity-ui (1.5.2) unstable; urgency=low

  * Use ICd2 for scanning.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 11 Sep 2007 07:42:06 +0300

osso-connectivity-ui (1.5.1) unstable; urgency=low

  * Merged patches from Chinook.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed,  5 Sep 2007 16:54:21 +0300

osso-connectivity-ui (1.5.0) unstable; urgency=low

  * New minor version
  * Make error in ICD_GET_STATE_REQ non-fatal. Fixes: NB#65909

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 20 Aug 2007 17:49:11 +0300

osso-connectivity-ui (1.4.27) unstable; urgency=low

  * Change gwwizard next insensitive on 2nd page only. Fixes: NB#65319
  * Fixed one GLIB Critical in Connectivity SBA
  * Added BT and offline mode handling to conndlgs. Fixes: NB#52453
  * Do not start new BT search, if screen is off. Fixes: NB#63277
  * Some code restructuring.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 15 Aug 2007 14:59:57 +0300

osso-connectivity-ui (1.4.26) unstable; urgency=low

  * Filter hidden SSIDs in connection dialog. Fixes: NB#63186
  * Separate flightmode and gwstatus handling. Fixes: NB#61531
  * Use correct gettext catalog for location strings. Fixes: NB#63495
  * Remove wrapping from IAP wizard finish label. Fixes: NB#63682
  * Added Ctrl+Q accelerator to connmgr close menu item. Fixes: NB#61559
  * Assure that phone is preferred after succesful strong PIN pairing.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 10 Aug 2007 09:39:54 +0300

osso-connectivity-ui (1.4.25) unstable; urgency=low

  * Check the default BT adapter path in BT SBA. Fixes: NB#61821
  * Wrap GTC response on both char and word boundaries. Fixes: NB#60061
  * Render operator data based on operator settings.
  * Use caching for pixbufs.
  * Restructured code.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  6 Jul 2007 08:45:36 +0300

osso-connectivity-ui (1.4.24) unstable; urgency=low

  * Added operator cell renderer to be used with connection dialog.
  * Grab next button focus in IAP wizard after New. Fixes: NB#58662
  * Change alignment of passwd checkbox in IAP wizard username page.
    Fixes: NB#60058
  * Use GConf notifications in CPA connections list. Fixes: NB#61882
  * Added dialog for activating GPS. Fixes: NB#62056
  * Fixed GLIB critical when starting pairing from strong PIN dialog.
  * Updated to conform UI specifications v2.1.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 29 Jun 2007 11:06:44 +0300

osso-connectivity-ui (1.4.23) unstable; urgency=low

  * Updated to conform UI specifications v2.0.
  * Ellipsize IAP label also in internet_pos_menu(). Fixes: NB#58298

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 21 Jun 2007 09:02:25 +0300

osso-connectivity-ui (1.4.22) unstable; urgency=low

  * Show authentication failure dialog for all authentication errors.
  * Implemented WLAN power save setting.
  * Added retry dialog for incompatible AP settings error.
  * Implemented: NR#182990

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 14 Jun 2007 14:48:04 +0300

osso-connectivity-ui (1.4.21) unstable; urgency=low

  * Try to find existing headset device, if creating it fails.
  * Added disclaimer package to solve dependency problems with libgpsmgr.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  8 Jun 2007 08:22:55 +0300

osso-connectivity-ui (1.4.20) unstable; urgency=low

  * Added GPS UI interface to conndlgs for showing GPS disclaimer.
  * Changed BT search dialog sort order (RSSI based sort)

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  7 Jun 2007 10:10:37 +0300

osso-connectivity-ui (1.4.19) unstable; urgency=low

  * Fixed to work with both old and new osso-ic-dev package.
  * Removed unused button-press handler from SBAs. Fixes: NB#58933

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 30 May 2007 11:33:29 +0300

osso-connectivity-ui (1.4.18) unstable; urgency=low

  * Fixed to work with newer osso-ic-dev.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 28 May 2007 07:51:50 +0300

osso-connectivity-ui (1.4.17) unstable; urgency=low

  * Implemented: NR#153164, NR#159637
  * Removed link local banner showing code.
  * Do not pre-fill password in username&password dialog.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 25 May 2007 09:21:25 +0300

osso-connectivity-ui (1.4.16) unstable; urgency=low

  * Follow display state instead of inactivity signal. Fixes: NB#54890

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 18 May 2007 12:21:54 +0300

osso-connectivity-ui (1.4.15) unstable; urgency=low

  * Use delayed shutdown for BTUI. Fixes: NB#56888
  * Handle errors properly when showing dialog in conndlg.
  * Use Bluez serial service instead of RFCOMM API. Fixes: NB#56891
  * Remove SetDiscoverableTimeout Bluez call. Fixes: NB#56931

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 14 May 2007 16:17:06 +0300

osso-connectivity-ui (1.4.14) unstable; urgency=low

  * Fixed problems with retrying.
  * Use correct insensitive message in BT CPA.
  * Fixed some crashes related to UI running without BT subsystem.
  * Wait for connections before destroying BTUI. Fixes: NB#56277
  * Remove duplicates from disconnect list in BT SBA. Fixes: NB#56152
  * Show Internet SBA "Connected to" banner only when IAP ID has
    changed. Fixes: NB#56284
  * Use correct string ID in Inet SBA (settings).
  * Added a second separator to Inet SBA menu.
  * Fixed input mode in various entries.
  * Revert the sound path config.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 11 May 2007 13:40:08 +0300

osso-connectivity-ui (1.4.13) unstable; urgency=low

  * Set insensitive message for Next only on PIN page. Fixes: NB#55478
  * Removed linklocal functionality from Connectivity SBA.
    Fixes: NB#55669
  * Use correct UI string with no active connection. Fixes: NB#55602

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  3 May 2007 14:54:27 +0300

osso-connectivity-ui (1.4.12) unstable; urgency=low

  * Merge BT CPA off mode code from other branch. Fixes: NB#54853
  * Fixed BT search table columns to have correct types. Fixes: NB#54883
  * Save password, when password prompt is disabled. Fixes: NB#54915
  * Implemented Bluez AuthorizationAgent

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 27 Apr 2007 09:56:07 +0300

osso-connectivity-ui (1.4.11) unstable; urgency=low

  * Use Bluez SDP functionality instead of BTCond.
  * Do not use BTCond for querying DUN connection status.
  * Removed osso-gwconnect dependency.
  * Removed BT (in)visible & off options from BT SBA. Fixes: NB#54811
  * Use new Bluez input service.
  * Fix linking of BT connection plugins. Fixes: NB#54667

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 24 Apr 2007 08:18:20 +0300

osso-connectivity-ui (1.4.10) unstable; urgency=low

  * Implemented: NR#159671, NR#159718
  * Enable HSP connections only if BT audio service exists
  * Make libosso-certman usage mandatory again
  * Make clear distinction between IAP id & name.
  * Use common_flightmode also for gateway_status fmode notifications.
  * Fixed HSP connect/disconnect. Fixes: NB#54667

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 19 Apr 2007 15:02:57 +0300

osso-connectivity-ui (1.4.9) unstable; urgency=low

  * Fixed DBUS connection unreferencing. Fixes: NB#54207
  * Fixed HSP plugin to work.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 16 Apr 2007 14:34:10 +0300

osso-connectivity-ui (1.4.8) unstable; urgency=low

  * Use GConf trusted setting, if Bluez doesn't work. Fixes: NB#54003
  * Implement IAP saving as a separate iap dialog.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 11 Apr 2007 15:34:03 +0300

osso-connectivity-ui (1.4.7) unstable; urgency=low

  * Separated RFCOMM connectivity implementation to its own plugin
  * Separated different IAP dialog implementations to plugins.
  * Fixed strong pin dialog crash.
  * Fixed conndlgs not to show "save as" on startup.
  * Fixed conndlgs "save as" not to block DBUS handling.
  * Fixed conndlgs crash, when btsearch is called with wrong arguments
  * Fixed few potential BT search and bonding bugs in Libconbtui

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  5 Apr 2007 11:33:04 +0300

osso-connectivity-ui (1.4.6) unstable; urgency=low

  * Fixed memory leak and SSID value reading from GConf.
  * Show "save network settings" dialog only once per IAP.
  * Enabled full input mode for packet data number. Fixes: NB#53506
  * Use the latest osso-af-settings to get correct install directories.
  * Fixes to BT connectivity. Updates according to BT UI spec 1.0.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 30 Mar 2007 11:22:23 +0300

osso-connectivity-ui (1.4.5) unstable; urgency=low

  * Fixed dependencies

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 28 Mar 2007 09:47:12 +0300

osso-connectivity-ui (1.4.4) unstable; urgency=low

  * Removed deprecated "insensitive-press" functionality
  * Use more exact library dependency in gwconn/Makefile.am

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 27 Mar 2007 15:58:19 +0300

osso-connectivity-ui (1.4.3) unstable; urgency=low

  * Enabled certman UI usage (as it is available).
  * Refactored IAP usage
  * Implemented: NR#159649, NR#159650, NR#159651, NR#159652, NR#159653
  * Implemented: NR#159640, NR#159645, NR#159648
  * Added DHCP error dialogs
  * Fixed dependencies and got rid of static tmp libraries
  * Added headset support for connect/disconnect
  * Use Bluez global trust setting instead of GConf
  * Discover BT devices without (automatic) name resolving
  * Optimizations to BT object push sending
  * Changed to use hildon-help instead of libosso-help

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 23 Mar 2007 13:27:12 +0200

osso-connectivity-ui (1.4.2) unstable; urgency=low

  * Hildon consolidation changes.
  * Modified to be usable without certman UI.
  * Always call inet_status_set_active_conn_icon() after creating
    Internet SBA menu. Fixes: NB#51052
  * Moved some DBUS calls out of BT SBA initialize. Create Internet SBA
    menu lazily. Fixes: NB#51137
  * Disabled certman UI usage for now (as it is not yet available).

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 12 Mar 2007 15:21:43 +0200

osso-connectivity-ui (1.4.1) unstable; urgency=low

  * Some UI optimizations.
  * Signal progress in OBEX send, when moving to next file.
    Fixes: NB#52368
  * Some bug number updates in the changelog.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed,  7 Mar 2007 08:43:24 +0200

osso-connectivity-ui (1.4.0) unstable; urgency=low

  * Grab focus when device search completes.  Fixes: NB#41740
  * When an IAP is deleted, select the first item.  Fixes: NB#41811
  * Added -fPIC to CFLAGS to avoid a lintian warning.
  * Status bar changes between linklocal and normal icon. Fixes: NB#43347
  * Don't track number of connections in BT SBA. Fixes: NB#43045
  * Reject all OBEX transfers, if we have one already. Fixes: NB#43686
  * Filter phone devices based on "DUN" instead of "telephony" and
    handle situations when hcid info is not available. Fixes: NB#43609
  * Save connmgr state when quit is accessed. Fixes: NB#43920
  * Use "conn_set_iap_ti_wlan_wpa_eap_leap" title for GTC EasyWLAN
    dialog. Fixes: NB#38509, NB#46555
  * Added gwhwdetect cancellation mechanism. Fixes: NB#46501, NB#43991
  * React to obexsrv NameOwnerChanged signals. Fixes: NB#44108
  * Multiple fixes for offline mode transition handling.
    Fixes: NB#44692, NB#43441
  * Initialize classes in gateway_info_get_service_classes. Fixes: NB#43034
  * Use GetRemoteClass to get the BT CoD.  Fixes: NB#45926
  * Some cleanups in gateway_common.c.
  * inet-settings now restores the correct value if the idle time
    conflict dialog is cancelled.  Fixes: NB#45352
  * Do not call gnome_vfs_shutdown() and initialize threads before
    gtk_init(). Fixes: NB#44108
  * Added couple of NULL checks and pointer initializations.
    Send IAP cancel on startup. Fixes: NB#45760
  * BT CoD strings in device details fixed.  Fixes: NB#46219
  * Removed iap_dialog_disconnect_offline_response.
  * Added subscription to device name change in BT CP applet.
    Fixes: NB#46767
  * Fixed SSID non-ASCII char conversion.  Fixes: NB#45560
  * Fixed disconnection logic, when the device has HID + other profiles.
    Fixes: NB#44308
  * Fixed focus problem in select connection dialog. Fixes: NB#39425
  * Use hcid's connected/disconnected signals (instead of BT cond's).
    Fixes: NB#47417
  * Changed code to use hcid RFCOMM instead of btcond RFCOMM.
  * Fixes: NB#45965
  * Empty name not allowed anymore when saving EasyWlan. Fixes: NB#45547
  * Cancel search & pair dialogs, if offline is entered. Fixes: NB#42673
  * First set BT on and then set BT name. Fixes: NB#47976
  * Added check for existing name before saving EasyWlan. Fixes: NB#47893
  * Replaced deprecated HildonApp/AppView API usage with HildonProgram/Window.
  * Don't set new selected device in con_btui_bonding_dialog_new.
    Fixes: NB#50981
  * Fixed gwwizard to work as specified in UI spec. Fixes: NB#50984
  * Modified list selection logic in gwwizard. Fixes: NB#50959
  * Fixed gwwizard to handle offline mode at start. Fixes: NB#48751
  * Set default icon in gwwizard pin page. Fixes: NB#50952
  * Replaced deprecated "input-method" and "autocap" with
    "hildon-input-method".
  * Removed some unnecessary header files.
  * Changed deprecated gtk_infoprintf usage to HildonBanner.
  * Fixed hard-escape key handling in EasyWlan.  Fixes: NB#49328
  * Added hard-escape key handling in Wlan idle time settings.
  * Added confirmation note before overwriting an existing file in OBEX
    receive.  Fixes: NB#48444
  * Check that device has bonding before accepting gwhwdetect status.
    Fixes: NB#43991
  * Change security flags in Connectivity CPA only when needed.
    Fixes: NB#50976
  * Fixed assert in connmgr_topmost_notify().
  * Fixed connmgr not to be always active on startup. Fixes: NB#50974
  * Reset connmgr counters when adding timer to update them.
  * Check libconbtui context before closing search window.
  * Disconnect physical link when disconnection is requested from BT UI.
    Fixes: NB#48935
  * BT and Internet SB buttons now go to pressed state.  Fixes: NB#43290
  * Added initial support for BT Settings in the status bar icon.
  * Added initial support for setting as default phone after pairing.
  * Open file in Obex receive is now dimmed when the file is not
    supported.  New banner also added.
  * Now the user can disable "Always ask password" on the password
    dialog pop-up.
  * Changed secret editor to plain-text editor for WEP and WPA key
    entries in the iap wizard
  * Changed secret editor to plain-text editor for WEP and WPA key
    entries in the iap easywlan
  * Implemented WPA/PSK retry functionality
  * Reverted secret editor change in IAP Wizard, because it was not
    specified in the UI Specs
  * Implemented delayed "Save conneciton as" dialog - now only shown
    after connecting succesfully
  * Implemented Internet settings item in the SB menu
  * Fixed BT SBA to use osso_cp_plugin_execute() for BT CPA
  * Fixed crash bug in conndlgs caused by missing BT subsystem
  * Restructured BT profile connection code to own plugins.
  * Merged fixes for NB#49883, NB#49884, NB#50940, NB#50660, NB#50661
    and NB#49411.
  * Updated bug IDs from cloned bugs.  Fixes: NB#52297, NB#52299
  * Fixes and optimizations to CoD handling.

 -- Luciano Coelho <luciano.coelho@nokia.com>  Fri,  2 Mar 2007 13:36:13 +0200

osso-connectivity-ui (1.3.33) unstable; urgency=low

  * Not getting adapter path is not critical. Fixes: NB#42069
  * 'Select connection' dlg informs ICd on flight mode close. Fixes: NB#41187
  * No scanning after screen blank during easywlan dlgs. Fixes: NB#42222
  * Fixes for exiting offline mode state. Fixes: NB#42136
  * New BT COD pixmap mappings according to UI Specs 7.0. Fixes: NB#41876

 -- Aapo Makela <aapo.makela@nokia.com>  Wed,  4 Oct 2006 15:57:55 +0300

osso-connectivity-ui (1.3.32) unstable; urgency=low

  * Narrowed D-Bus match to NameOwnerChanged signals only. Fixes: NB#40767
  * Added dbg packages for statusbar plugins and libconbtui0. Fixes: NB#40772

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 28 Sep 2006 11:40:21 +0300

osso-connectivity-ui (1.3.31) unstable; urgency=low

  * Fixed possible sync problem in BT SBA.
  * Fixed to set search state AFTER offline mode check.
  * Don't set anything in BT SBA when offline. Fixes: NB#40860
  * Handle cancelling of all DBUS pending calls. Fixes: NB#40949

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 21 Sep 2006 14:40:39 +0300

osso-connectivity-ui (1.3.30) unstable; urgency=low

  * Changed temporary IAP name generation algorithm. Fixes: NB#40595
  * Fixed state comparison in con_btui_sdp_start_cb(). Fixes: NB#40863

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 20 Sep 2006 13:14:16 +0300

osso-connectivity-ui (1.3.29) unstable; urgency=low

  * Fixed BT search list to work as specified.
  * Don't show BT details dialog until we know connection status.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 15 Sep 2006 12:57:42 +0300

osso-connectivity-ui (1.3.28) unstable; urgency=low

  * Dim BT CPA entry and checkbox in offline mode. Fixes: #NB38846
  * Check errors when closing BT transfer.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  8 Sep 2006 10:03:31 +0300

osso-connectivity-ui (1.3.27) unstable; urgency=low

  * Flush each BT transfer at the end. Fixes: #NB39370
  * Select first item in conndlg after a timeout. Fixes: #NB39425
  * Added implementation for DBUS watching (for Bluez). Fixes: #NB39472
  * Robustness fixes to BT SBA. Fixes: #NB39492

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  5 Sep 2006 15:48:48 +0300

osso-connectivity-ui (1.3.26) unstable; urgency=low

  * Separated BT send transfer handling in GSource. Fixes: #NB38482
  * Added DBUS pending call cancellation. Fixes: #NB37934
  * Additional NULL checks for DBUS byte arrays. Fixes: #NB39297
  * Update the BTUI found selection on name change. Fixes: #NB39327

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  1 Sep 2006 08:54:17 +0300

osso-connectivity-ui (1.3.25) unstable; urgency=low

  * Pin dialog OK button dimming depends on PIN type. Fixes: #NB38648
  * Added comment to Connmgr desktop file. Fixes: #NB39008
  * Fixed CancelBonding to work with current bluez-utils. Fixes:
    #NB38538
  * Fixed disconnection logic in BT SBA. Fixes: #NB39107

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 30 Aug 2006 09:32:57 +0300

osso-connectivity-ui (1.3.24) unstable; urgency=low

  * Modified BT profile connection logic to be more generic.
  * Check for DUN when disconnecting from BT SBA. Fixes: #NB38307
  * Updated to work with the latest bluez-utils.
  * Remove preferred device, if its link key is removed. Fixes: #NB38429
  * Don't remove link key, if pairing is not tried. Fixes: #NB38431
  * Updated dialog title for EAP PEAP & TTLS easy wlan dialogs.
  * Set BT SBA invisble, when in offline mode. Fixes: #NB38606
  * Try to show ConBtDialogs even in offline mode. Fixes: #NB38605
  * Patches to package building. Fixes: #NB38693, #NB38694

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 25 Aug 2006 08:34:19 +0300

osso-connectivity-ui (1.3.23) unstable; urgency=low

  * Implemented CRs EP06080941085 and ER06080337322
  * Changed Internet SBA to be mandatory
  * Added check for ASCII characters in some fields. Fixes: #NB37886
  * Widened username & password dialog. Fixes: #NB37959
  * Fixed robustness fixes in BT file send. Fixes: #NB38274

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 21 Aug 2006 14:52:10 +0300

osso-connectivity-ui (1.3.22) unstable; urgency=low

  * Redraw GSM page after showing/hiding APN caption. Fixes: #NB37631
  * Fixed to dim appropriate idle time comboboxes. Fixes: #NB37581,
    #NB37582
  * Widened iapsettings advanced settings windows. Fixes: #NB37618
  * NULL connection name, when disconnected. Fixes: #NB37732
  * "File:" UI string fixed. Fixes: #NB36672
  * Resolve unknown file names in BT receive file dialog. Fixes: #NB37749
  * Robustness fixes to BT file send. Fixes. #NB37399
  * Changed to receive GTC challenge as byte array.
  * Added checks to bluetooth_status_update() in BT SBA. Fixes: #NB37934, 
    #NB37967

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 17 Aug 2006 09:10:30 +0300

osso-connectivity-ui (1.3.21) unstable; urgency=low

  * Removed flight mode banner from Internet SBA. Fixes: #NB36915
  * Preferred device is temporarily set when running operator wizard
  * Connected banner (in SBA) shown only for 1st time. Fixes: #NB35894
  * Removed unused infonotes/dialogs from the code. Fixes: #NB37074
  * Removed dimming of "select connection" in connmgr. Fixes: #NB37196
  * Removed dimming of "select connection" in SBA. Fixes: #NB37198
  * Removed gwobex_close idle hack
  * Additional check for existing connections in BT SBA. Fixes: #NB37469
  * Ask confirmation if disconnecting phone from BT SBA. Fixes: #NB37356
  * Modified Internet SBA menu pos/width logic. Fixes: #NB37330

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 10 Aug 2006 14:52:08 +0300

osso-connectivity-ui (1.3.20) unstable; urgency=low

  * Robustness fixes for HID connecting. Fixes: #NB36393
  * Updated to use new Bluez.
  * Removed all traces of hildon-lgpl.
  * Removed unnecessary DBUS calls when doing BT search.
  * Fixed BT SBA menu width handling.
  * Fixes to speed up the details dialog.
  * Handle BT disconnect on multiple levels. Fixes: #NB36793

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  3 Aug 2006 15:23:30 +0300

osso-connectivity-ui (1.3.19) unstable; urgency=low

  * Fixed string in BT receive CN to be as specified. Fixes: #NB34486
  * Handle BT disconnect when receiving file. Fixes: #NB34516, #NB33315
  * NULL preferred phone when it is removed. Fixes: #NB36018
  * Added minimum width for some easywlan dialogs. Fixes: #NB34766,
    #NB34851, #NB35831
  * Modified BT file send to work with new libgwobex. Fixes: #NB35175

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 28 Jul 2006 12:09:35 +0300

osso-connectivity-ui (1.3.18) unstable; urgency=low

  * Remove gateway_info callback in BT SBA. Fixes: NB#35214
  * No custom buttons in BT CPA delete dialog. Fixes: NB#35393, NB#35394
  * Pause before showing operator wizard. Fixes #NB35280
  * Splitted tunneled eap type to PEAP & TTLS. Fixes: NB#35268
  * Added menu max width and iap name truncation. Fixes: #NB34200

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 21 Jul 2006 09:35:33 +0300

osso-connectivity-ui (1.3.17) unstable; urgency=low

  * Moved conbtdialogs to libconbtui source package (CR AM06061244146)
  * Fixed to enable disconnect from phone.
  * Fixed exiting offline mode. Fixes: #NB33756
  * Fixed WLAN signal levels to appear as in S+.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 30 Jun 2006 07:34:34 +0300

osso-connectivity-ui (1.3.16) unstable; urgency=low

  * Unblank display when BT notification appears. Fixes: #NB32922
  * Removed ellipsization from BT combobox. Fixes: #NB31950
  * Separated UI strings for PEAP & TTLS. Fixes: #NB33190
  * Added a check for auto connect on disconnect. Fixes: #NB32340
  * Dims "Search Interval" with no auto connect when applet starts
  * Updated to use the new bluez-utils and libbluetooth

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 22 Jun 2006 14:47:43 +0300

osso-connectivity-ui (1.3.15) unstable; urgency=low

  * Added directory resolve logic for BT received files
  * Made BT search and pair more robust

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 19 Jun 2006 13:58:52 +0300

osso-connectivity-ui (1.3.14) unstable; urgency=low

  * Modified gateway_status_caller_notify_cb proto. Fixes: #NB31976
  * Fixed certificate related memory leaks
  * Implemented generic search & pair in conbtdialogs API.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 13 Jun 2006 14:53:33 +0300

osso-connectivity-ui (1.3.13) unstable; urgency=low

  * select connection dlg exits without confirmation on flight mode activation
  * saves icon & name of device to GConf,when it has initiated pairing
  * show current connection status in inet status bar menu
  * fixed memory leaks
  * added OPP to shown profiles (fixes bug #29919)
  * modified stop_search to wait for reply (fixes bug #31576)
  * Robustness fixes to strong pin (fixes bug #32008)
  * Added helps to many dialogs (fixes bug #32053)

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  8 Jun 2006 13:31:53 +0300

osso-connectivity-ui (1.3.12) unstable; urgency=low

  * fixes bug #28635
  * fixes bug #30869
  * fixed BT receive dialog layout
  * enabled thumb
  * fix from S+ for strong pin and sim pin dialog label wrapping
  * fixes bug #30752
  * modified to try also mime type based on filename
  * fixes bug #31145
  * fixes bug #31060
  * flight mode retry dlg asks user wheter to enter normal mode

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 29 May 2006 14:39:00 +0300

osso-connectivity-ui (1.3.11) unstable; urgency=low

  * Fixed BT sending to work with remote files (UPnP/AV)
  * Stability fixes to BT sending in error situations
  * wlans with same ssid, different type or security show up separately in UI
  * reduce select connection dlg UI logging
  * fixes bug #30058 (from s+ r7347,r7359,r7360,r7362)

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 24 May 2006 15:51:19 +0300

osso-connectivity-ui (1.3.10.1) unstable; urgency=low

  * Fixes to BT receiving.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 24 May 2006 10:03:24 +0300

osso-connectivity-ui (1.3.10) unstable; urgency=low

  * When BT search completes, provides names (fixes bug #28493)
  * Prints infonote, if more than 82 characters in details dialog
  * Updated statusbar desktop files to be according to spec.
  * Fixed to show right pairing failed notes.
  * Stability fixes for BT sending and receiving.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 23 May 2006 13:01:01 +0300

osso-connectivity-ui (1.3.9) unstable; urgency=low

  * Merged fixes from SP branch (SVN rev 7235)
  * Merged fix form SP branch (bug #29791)
  * Updated to show %d/%d information when sending more than 1 file.
  * fixes bug #26555
  * fixes bug #29914

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 19 May 2006 13:06:58 +0300

osso-connectivity-ui (1.3.8) unstable; urgency=low

  * fixes #NB28848
  * fixed to set right trusted setting after the pairing
  * SDP failure is not fatal anymore (fixes #NB28635)
  * Added SDP and gwhwdetect functionality to gateway PIN
  * Updated to use the new statusbar API.
  * Disabled thumb support as that does not seem to work
  * Fixed BT receive dialog look like specified in layout guide

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 10 May 2006 14:19:02 +0300

osso-connectivity-ui (1.3.7) unstable; urgency=low

  * Implemented state saving to conbtui and BT applet
  * Enabled maemo-launcher again.
  * Updated PIN handler code to use only hcid (no more btcond)
  * fixes #NB28544
  * fixes #NB28494
  * fixes #NB28493
  * Modified to use hcid instead of gconf for getting remote
    device classes (fixes #NB28545)

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  5 May 2006 10:00:35 +0300

osso-connectivity-ui (1.3.6) unstable; urgency=low

  * fixes #NB26540
  * reverted maemo launcher bug fix #25443 as it does not work in 1st boot
  * updated to conform BT UI Specification 2.1
  * added hidd test to start/stop hidd when 1st/last hidd device has been
    paired/removed
  * fixes #NB27701
  * fixes #NB27801
  * added intltool support
  * added some missing banners
  * fixed naming of received file (fixes #NB28476)
  * fixed to show indeterminate progress bar, when we don't know the progress
  * added sound handling to BT file receive dialog
  * updated to use new Bluez DBUS API

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 28 Apr 2006 11:32:05 +0300

osso-connectivity-ui (1.3.5) unstable; urgency=low

  * first version of Bluetooth statusbar plugin.
  * fixed searching to take account class/service filters.
  * fixed localization strings in phone CPA.
  * added missing "None" option to phone CPA (specified in UI spec).
  * added some missing banners.
  * fixes bug #NB27019.
  * enabled ARM Thumb.
  * fixed to add also service classes to BT service list.
  * added opwizard running to phone CPA.
  * moved bt device settings saving code to libconbtui.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 21 Apr 2006 08:38:39 +0300

osso-connectivity-ui (1.3.4.1) unstable; urgency=low

  * fixes bug #25280
  * CR EP06040457704: WEP key inserting should be simplified.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 13 Apr 2006 12:50:57 +0300

osso-connectivity-ui (1.3.4) unstable; urgency=low

  * fixed HID (BT kbd connection) to work.
  * fixed to use bluez-utils on bluetooth search (instead of btsearch)
  * fix 'Always online' combo box value logical ids (fixes #26480).
  * added sample directory (for conbtdialogs and libconbtui samples)
  * fixed to show all bonded devices in phone and bluetooth applets
    (does not depend on GConf anymore).

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 13 Apr 2006 12:40:18 +0300

osso-connectivity-ui (1.3.3.3) unstable; urgency=low

  * fixes bug #NB26324

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 12 Apr 2006 08:00:08 +0300

osso-connectivity-ui (1.3.3.2) unstable; urgency=low

  * fixes bug #NB26139

 -- Timo Teräs <timo.teras@nokia.com>  Tue, 11 Apr 2006 16:36:16 +0300

osso-connectivity-ui (1.3.3.1) unstable; urgency=low

  * fixes bug #NB26145
  * fixes bug #NB26163
  * Added connecting and connected banners to details view.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 11 Apr 2006 12:00:24 +0300

osso-connectivity-ui (1.3.3) unstable; urgency=low

  * Moved SDP resolution from gwdialogs to btui.
  * Fixed pairing in Bluetooth CPA, added visibility and name changing.
  * Some code cleanup.
  * Updated to use notify lists in many places.
  * Search interval choise list implemented.
  * Added UI for EAP-TTLS.
  * Modified BT details dialog to be according to BT UI spec 1.0
  * Added opening a file functionality to BT OPP receive.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  6 Apr 2006 16:23:16 +0300

osso-connectivity-ui (1.3.2) unstable; urgency=low

  * Added conbtdialogs-dev package.
  * Fixed sending to work with new pin code handling.
  * Fixed conndlgs to start without obexsrv.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 30 Mar 2006 17:28:10 +0300

osso-connectivity-ui (1.3.1) unstable; urgency=low

  * Merged patches from trunk.
  * Changed pin query to use new Bluez-utils (instead of btpin).
  * Changed bonding to use new Bluez-utils (instead of btpair).
  * Fixed some dependencies.
  * Made device details dialog more general (added to BT UI lib)

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 29 Mar 2006 14:40:28 +0300

osso-connectivity-ui (1.3.0) unstable; urgency=low

  * Initial unstable release.
  * Initial version of BT Settings CPA.
  * Initial version of BT OBEX OPP Receive UI
  * Initial version of BT OBEX OPP Send UI

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 23 Mar 2006 10:20:34 +0200

osso-connectivity-ui (1.1.21) unstable; urgency=low
  
  * 
  
 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 29 Mar 2006 10:49:19 +0300
  
osso-connectivity-ui (1.1.20) unstable; urgency=low

  * fixes bug #22281
  * fixes bug #24382

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 24 Mar 2006 13:00:51 +0200

osso-connectivity-ui (1.1.19) unstable; urgency=low

  * fixes bug #24775

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 23 Mar 2006 11:29:00 +0200

osso-connectivity-ui (1.1.18) unstable; urgency=low

  * fixes bug #24557
  * fixes bug #24365
  * fixes bug #24532

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 21 Mar 2006 16:54:00 +0200

osso-connectivity-ui (1.1.17) unstable; urgency=low

  * fixes bug #23685
  * fixes bug #24487

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 20 Mar 2006 16:30:00 +0200

osso-connectivity-ui (1.1.16) unstable; urgency=low

  * fixes bug #23685
  * libconbtui replaces and conflicts with libbtui

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 17 Mar 2006 15:32:00 +0200

osso-connectivity-ui (1.1.15) unstable; urgency=low
  
  * rename of prefix maemo_btui_ to con_btui_
  * renamed "pair" to "bond" in con_btui
  * fixes bug #24322
  * fixed BT phone disconnecting in connection manager
  * removed preferred BT phone gconf watcher from connection manager
  * fixes bug #23455

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 17 Mar 2006 11:54:00 +0200

osso-connectivity-ui (1.1.14) unstable; urgency=low

  * imported BTUI code by Aapo Mäkelä (r6237)
  * fixes bug #23685
  * struct for gateway_pin internal variables
  * pairing dialog with 16 digit PIN code sets strong pin flag in gconf

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 14 Mar 2006 11:49:00 +0200

osso-connectivity-ui (1.1.13) unstable; urgency=low

  * imported build time dependency removal from 1.1.11.1
  * imported another attemp on bug #22919 work-around from 1.1.11.1
  * added link-local wlan icon to status bar
  * wlan scan matches networks using both SSID and security setting
  * feature complete

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  3 Mar 2006 11:39:00 +0200

osso-connectivity-ui (1.1.11.1) unstable; urgency=low

  * removed build time dependencies on the old po/ directory
  * another attempt for a work-around of bug #22919

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu,  2 Mar 2006 12:07:16 +0200

osso-connectivity-ui (1.1.12) unstable; urgency=low

  * updated connmgr to use common inet state handling
  * application framework takes care of connmgr placement in menu
  * gwsettings shows banner on insensitive details button and combo box press
  * gwsettings selects BT device if preferred BT not set when 'Cancel' pressed
  * removed "select gw anyway" dialog from gw settings ctrl panel plugin
  * removed function to find gw device in gateway_common
  * gwsettings ctrl panel plugin saves state of the "internet ongoing" dialog
  * applied Kalle Valo's patch to enable cellular operator wizard in connmgr
  * l10n cleanups in iap settings and statusbar Makefile.am  (r6129,r6130)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed,  1 Mar 2006 10:19:00 +0200

osso-connectivity-ui (1.1.11) unstable; urgency=low

  * added "connected to..." banners to status bar
  * show primary and secondary DNS servers in connmgr
  * show default router in connmgr as none if it does not exist
  * added connection status text to connmgr

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 24 Feb 2006 14:12:00 +0200

osso-connectivity-ui (1.1.10) unstable; urgency=low

  * select conn dlg shows banner if saved connections not found by ICd
  * connection manager always requests select conn dlg to be shown
  * updated iap list request function to include type column
  * updated inet status bar to use common inet state handling
  * fixes bug #22975
  * iap settings ctrl panel applet complete

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 23 Feb 2006 13:42:00 +0200

osso-connectivity-ui (1.1.9) unstable; urgency=low

  * iap settings according to latest spec
  * internet state handled properly when no internet connections ongoing
  * button dimming, internet and flight mode status integrated to gwsettings
  * work-around for bug #22919
  * fixed connection manager not to destroy its widgets twice
  * bt status request always sends the address of the preferred BT device
  * fixes bug #22710 (r5942)
  * bt settings show flight mode banners and dialog
  * bt settings confirm before changing gw device with inet connection ongoing

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 16 Feb 2006 16:30:00 +0200

osso-connectivity-ui (1.1.8) unstable; urgency=low

  * gw/bt settings ctrl panel applet state saving
  * iapsettings updates
  * modularized flight mode handling
  * modularized inet state handling

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 10 Feb 2006 14:49:00 +0200

osso-connectivity-ui (1.1.7) unstable; urgency=low

  * added X window id and toplevel GTK window support functions
  * fixed segfaults in sim pin dialog

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  3 Feb 2006 10:34:00 +0200

osso-connectivity-ui (1.1.6) unstable; urgency=low

  * restored gwsettings package
  * fixed gateway_bluez_unregister to disconnect dbus system path
  * use ** instead of * in gwdialogs, _common to increase dbus cb robustness
  * connection manager uses gwsettings ctrl panel plugin

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed,  1 Feb 2006 15:22:00 +0200

osso-connectivity-ui (1.1.5) unstable; urgency=low

  * moved gwdialogs main and close functions to separate .c file
  * gwdialogs ctrl panel applet, .deb, search window always system modal
    (r5733)
  * updated wlancond API, dropped gwsettings package due to that

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 31 Jan 2006  9:16:00 +0200

osso-connectivity-ui (1.1.4) unstable; urgency=low

  * sort new WLANs last in select connection dlg
  * WPA2/SAP info notes changed to confirmation notes
  * bt device details shows SAP info and MAC address
  * updated data struct allocation for bt sdp and gwhwdetect functions

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 24 Jan 2006 16:51:00 +0200

osso-connectivity-ui (1.1.3) unstable; urgency=low

  * imported fix for bug #22376 from v. 1.0.17
  * removed status bar gateway plugin (r5628)
  * removed inet statbar connmgr menu item, added change connection item
  * fixed array handling in wlan scan
  * removed connmgr topping as not required and not possible to implement

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 23 Jan 2006 14:15:00 +0200

osso-connectivity-ui (1.1.2) unstable; urgency=low

  * switched over to dbus >= 0.60 (r5455, r5464, r5564)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu,  5 Jan 2005 15:44:00 +0200

osso-connectivity-ui (1.1.1) unstable; urgency=low

  * split out retry, disconnect and changed dialogs from iap_dialogs
  * added user_data argument to gateway_pin_strong_dialog and callback
  * imported fix for bug #21984, r5423, from v. 1.0.14
  * *_get_bus() made static, updated code to use _send_*_msg() instead
  * added common_dbus_recv_reply_system_mcall

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 19 Dec 2005 13:26:00 +0200

osso-connectivity-ui (1.1.0) unstable; urgency=low

  * Development work started in trunk
  * cleaned up common_dbus.[ch] and gwconn/, inetconn/, connmgr/, statusbar/
  * iap_dialogs vars into struct
  * split out passwd, gtc_challenge, mschap_change from iap_dialogs
  * split out private_key_passwd, server_cert from iap_dialogs
  * split out sim_pin from iap_dialogs, fix iap_conndlg
  * modularized dialog matching and showing

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 13 Dec 2005 16:49:00 +0200

osso-connectivity-ui (1.0.13) unstable; urgency=low

  * fixes bug #21633 (r5232), UI dependecy in bug #21657
  * fixes bug #21573 to some extent (r5278)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 30 Nov 2005 13:49:00 +0200

osso-connectivity-ui (1.0.12) unstable; urgency=low

  * fixes bugs #21526 (r5210), #21535 (r5216)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 24 Nov 2005 16:06:00 +0200

osso-connectivity-ui (1.0.11) unstable; urgency=low

  * re-fixing bugs #21021 (r5166), #20702 (r5170)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 18 Nov 2005 11:13:00 +0200

osso-connectivity-ui (1.0.10) unstable; urgency=low

  * bug #21358 fixed already with bug #20444
  * fixes bugs #21377 (r5118), #21379 (r5119), #21380 (r5123)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 16 Nov 2005 12:40:00 +0200

osso-connectivity-ui (1.0.9) unstable; urgency=low

  * fixes bug #21021 (r5095), #21192 (r5106), #21260 (r5107)
  * fixes bugs #20444, #21243, #21277, #21050

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 15 Nov 2005 13:40:00 +0200

osso-connectivity-ui (1.0.8) unstable; urgency=low

  * fixes bug #21091 (r4995,r5024)
  * fixes bug #20934 (r4981,r5022)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  4 Nov 2005 09:44:00 +0200

osso-connectivity-ui (1.0.7) unstable; urgency=low

  * fix debian/rules to work with maemo-launcher

 -- Timo Teräs <timo.teras@nokia.com>  Mon,  7 Nov 2005 14:11:18 +0200

osso-connectivity-ui (1.0.6) unstable; urgency=low

  * fix editing of IAPs

 -- Timo Teräs <timo.teras@nokia.com>  Mon,  7 Nov 2005 10:36:21 +0200

osso-connectivity-ui (1.0.5) unstable; urgency=low

  * fixes bug #20449 (r4647); imported additional fixes (r4801-4806)
  * fixes bug #15947; fixed unnecessary signal strength updates in connmgr
  * checked connmgr, gwdialogs, gwwizard (bug #20903)
  * gwdialogs, gwwizard sets 16-digit BT PIN to strong in gconf (bug #20905)
  * imported fix for wlan signal strength values from 0.102.1 (r4691)
  * imported fix for updated wlan rssi values from 0.102.2
  * imported fix for updating new system sound api, bug #20631, from 0.102.2
  * iap wizard does state saving except for advanced settings
  * imported fix for bug #20714 from 1.0.3
  * fixes bugs #20257, #20702

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 31 Oct 2005 09:11:00 +0300

osso-connectivity-ui (1.0.4) unstable; urgency=low

  * additional fix for bug #20449

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 19 Oct 2005 15:19:16 +0300

osso-connectivity-ui (1.0.3) unstable; urgency=low

  * version number bump, 0.102 == 1.0.0
  * fixes bug #20714 (r4780)
  * backported fix for bug #20449 (r4647)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 19 Oct 2005 13:39:02 +0300

osso-connectivity-ui (0.102.2) unstable; urgency=low

  * updated bug #20496 wlan rssi values once more (r4721)
  * using new system sound api, fixes bug #20631 (r4723)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 17 Oct 2005 13:30:00 +0300

osso-connectivity-ui (0.102.1) unstable; urgency=low

  * backported fix for bug #15947 (r4602)
  * backported fix for unnecessary signal strength updates in connmgr (r4619)
  * updated wlan signal strength values; fixes bug #20496

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 13 Oct 2005 09:15:00 +0300

osso-connectivity-ui (0.102) unstable; urgency=low

  * fixes bugs #19697, #19832
  * removed unused commented out gwwizard tree view "changed" callbacks
  * removed "row-activated" callbacks from other than 'select connection' dlg
  * removed "Status" row from connmgr as requested by UI team

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  3 Oct 2005 12:45:00 +0300

osso-connectivity-ui (0.101) unstable; urgency=low

  * scrolling to focused items in settings, fixes bugs #18340, #19228
  * scrolling to focused item in gwwizard
  * preventing string comparison against NULL with badly behaving gconf
  * fixes bug #17207, gwsearch is restarted also when search has completed

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 21 Sep 2005 11:06:00 +0300

osso-connectivity-ui (0.100) unstable; urgency=low

  * BT SAP works even with Siemens SK65, that autogenerates a random fixed
    pin (bug #19293)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 16 Sep 2005 09:46:00 +0300

osso-connectivity-ui (0.99) unstable; urgency=low

  * more instances of gconf client unreferencing fixed in gateway_common
  * dbus message unreferencing fixed
  * fixed error showing in strong bt pin dialog

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 15 Sep 2005 16:38:00 +0300

osso-connectivity-ui (0.98) unstable; urgency=low

  * fixes bug #18845, #18693, #18365
  * updated l10n to 4.0
  * certmanui init/deinit added
  * minor mem leak when not removing hash table from gw lists
  * minor g_object_unref additions
  * flight mode cancels the same conndlgs dialogs as disconnect
  * settings state saving is limited to connectivity settings and connections
    dialogs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 13 Sep 2005 13:07:00 +0300

osso-connectivity-ui (0.97) unstable; urgency=low

  * cancel operation for some conndlg dialogs, fixes bug #17839
  * fixed bt pin dialogs clearing global flag for conndlg showing
  * wlan strength icon parameters tuned

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed,  7 Sep 2005 10:11:00 +0300

osso-connectivity-ui (0.96.1) unstable; urgency=low

  * fixes bug #18644

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  5 Sep 2005 13:24:36 +0300

osso-connectivity-ui (0.96) unstable; urgency=low

  * fixes bugs #18255, #18087
  * when deleting the bt link key, clear gconf strong pin setting for device

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  5 Sep 2005 10:53:00 +0300

osso-connectivity-ui (0.95) unstable; urgency=low

  * fixes bug #18034
  * set gw status bar icon to disconnect on HCI_DEV_DOWN_SIG; re-request gw
    status on HCI_DEV_UP_SIG
  * SSID in iapsettings max 32 chars and restricted to us ascii (0-127)
  * WEP and WPA keys restricted to us ascii (bug #18358)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 31 Aug 2005 14:16:00 +0300

osso-connectivity-ui (0.94.2) unstable; urgency=low

  * fixes bugs #17988, #17993, #17841
  * fixed easywlan select certificate combobox
  * 'wlan_tx_power' setting changed to be global

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 25 Aug 2005 15:27:31 +0300

osso-connectivity-ui (0.94.1) unstable; urgency=low

  * path escaping fixed, handle NULL SSIDs in connmgr

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 25 Aug 2005 14:04:51 +0300

osso-connectivity-ui (0.94) unstable; urgency=low

  * fixes bug #17583
  * wlan ssid fetching fixed in multiple places
  * SSID dimmed in settings if trying to edit a non-UTF-8 SSID

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 25 Aug 2005 12:25:00 +0300

osso-connectivity-ui (0.93) unstable; urgency=low

  * fixes bugs #14239, #17748, #17794
  * show SSID fetched from gconf when easy wlan IAPs are displayed in connmgr

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 24 Aug 2005 15:01:00 +0300

osso-connectivity-ui (0.90.1) unstable; urgency=low

  * updated l10n version number to 3.1

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 23 Aug 2005 13:23:52 +0300

osso-connectivity-ui (0.92) unstable; urgency=low

  * updated l10n version number (back) to 3.1

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 23 Aug 2005 12:40:00 +0300

osso-connectivity-ui (0.91) unstable; urgency=low

  * fixes bugs #17521, #16965, #17647
  * server cert error and expiry dlgs shown by using certman v.1.0.33-3,
    fixes UI part of bug #16945
  * added function to mangle ssids from utf-8 to ascii

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 22 Aug 2005 12:57:04 +0300

osso-connectivity-ui (0.90) unstable; urgency=low

  * don't update gw status if we receive errors
  * keep bluez PIN handler registered in gwdialogs and gwwizard until exit
  * statusbar menus connect to the "deactivate" signal to raise their buttons
  * Update WLAN PSK passphrase GConf key to proper value (fixes #17499)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 17 Aug 2005 16:20:00 +0300

osso-connectivity-ui (0.89) unstable; urgency=low

  * fixes bug #17207
  * hw key does not close iapsettings dialogs (bug #17159)
  * "close" hw key support for other connectivity dlgs added
  * checked link key deletion in gwwizard, gwdialogs
  * added certificate expiration check for private key passwd dialog

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 16 Aug 2005 15:37:00 +0300

osso-connectivity-ui (0.88) unstable; urgency=low

  * bugs #14293, #15228 already fixed
  * gateway_search method call callback has pointer to freed struct (#15865)
  * shown SSIDs verified using 'g_convert_with_fallback ()'
  * connmgr does not show flight mode dialog anymore

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 12 Aug 2005 14:25:00 +0300

osso-connectivity-ui (0.87) unstable; urgency=low

  * conndlgs flight mode information dialog reply failure, others success
  * updated showing of banners and bug fixes in gwdialogs
  * fixed minor issues in gateway_search

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 10 Aug 2005 17:05:00 +0300

osso-connectivity-ui (0.86.1) unstable; urgency=low

  * closes bug #10687
  * fixes bug #16784
  * strong pin dialog now sends reply message immediately

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 10 Aug 2005 11:37:00 +0300

osso-connectivity-ui (0.86) unstable; urgency=low

  * Added string conn_set_iap_fi_conn_name_default to l10n repo
  * HBox packing on the first page of gwwizard didn't expand (bug #16836)
  * Strong BT PIN dlg returns error if no preferred phone (bug #15895)
  * Conndlgs return error if 'Choose connection' is invoked in flight mode
  * Flight mode dlg added to retry dlgs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue,  9 Aug 2005 16:45:00 +0300

osso-connectivity-ui (0.85) unstable; urgency=low

  * fixes bugs #15470, #15242, #15473
  * always set preferred gw in gwdialogs due to gconf oddities (bug #16765)
  * memory leak in wlan ap-to-ssid hash table
  * rescanning of gw devices, gwdialogs need banner fixes
  * strong pin info from gconf read too early (bug #15566)
  * other minor settings fixes

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  8 Aug 2005 16:35:00 +0300

osso-connectivity-ui (0.84) unstable; urgency=low

  * fixes bugs #16089, #15592, #15793, #15787, #16366
  * keep change widgets dimmed in connmgr while connecting (bug #15778)
  * updated debian control file to latest l10n, files not removed from svn

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed,  3 Aug 2005 16:05:00 +0300

osso-connectivity-ui (0.83) unstable; urgency=low

  * fixes bug #15912

 -- Aapo Makela <ext-aapo.makela@nokia.com>  Wed, 27 Jul 2005 11:59:31 +0300

osso-connectivity-ui (0.82) unstable; urgency=low

  * hopefully fixes bug #15537

 -- Timo Teräs <timo.teras@nokia.com>  Thu, 14 Jul 2005 22:07:03 +0300

osso-connectivity-ui (0.81) unstable; urgency=low

  * fixes bugs #14732, #15328
  * 'osso-connectivity-ui.sh restart' fixed
  * multiple WLAN IAPs may have same SSID

 -- Timo Teräs <timo.teras@nokia.com>  Wed,  6 Jul 2005 20:37:27 +0300

osso-connectivity-ui (0.80) unstable; urgency=low

  * SSID-is-byte-array osso-wlan API change

 -- Timo Teräs <timo.teras@nokia.com>  Wed,  6 Jul 2005 13:39:58 +0300

osso-connectivity-ui (0.79) unstable; urgency=low

  * fixes bug #15181
  * update to support maemo launcer cflags and ldflags
  * wlan defaul tx power 100mW in iap_settings
  * strong pin dlg shown immediately if no strong_pin_pairing in gconf
  * strong pin dialog updated

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  1 Jul 2005 16:45:00 +0300

osso-connectivity-ui (0.78) unstable; urgency=low

  * fixes bugs #15019, #11971, #13963
  * fixed connmgr select/change/disconnect phone when WLAN IAP active
  * status requested on startup in connmgr, inet status bar plugin
  * fixed showing of connmgr state
  * fixed showing of internet status bar state

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 29 Jun 2005 14:25:00 +0300

osso-connectivity-ui (0.77) unstable; urgency=low

  * fixes bugs #14810, #13627
  * only show personal folder certificates in settings, easy wlan dlgs
  * update layout of all dialogs and windows
  * pop up connect dlg after EAP/SAP error dlg

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 27 Jun 2005 17:30:00 +0300

osso-connectivity-ui (0.76) unstable; urgency=low

  * fixes bugs #14725, #14702
  * show searching banner in settings
  * 232 bit WEP selection removed from settings
  * layout guide margins approximated for gwwizard and gwdialogs
  * icon sizes updated to correct logical names
  * rescanning of wlan networks in conndlg

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 23 Jun 2005 13:10:00 +0300

osso-connectivity-ui (0.75) unstable; urgency=low

  * added bugfix from 0.73.2
  * clear scanned status for wlan nws and remove wlan nws not found
  * get wlan tx power from gconf
  * correct icd error strings for sap dlgs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 15 Jun 2005 16:25:00 +0300

osso-connectivity-ui (0.73.2) unstable; urgency=low

  * fixed assignment to correct state in status bar

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 15 Jun 2005 11:25:22 +0300

osso-connectivity-ui (0.74) unstable; urgency=low

  * mapping of btcond status to btpair error string in gateway_pin.c
  * gw sdp query changed from gwsdp to btcond; changes in btcond
  * gws not added to list for hw detection; changes in btcond
  * gw pairing updated to use 'btpair' via dbus

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 14 Jun 2005 13:05:00 +0300

osso-connectivity-ui (0.73.1) unstable; urgency=low

  * fixed gw status bar plugin to show mostly correct icon

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 13 Jun 2005 10:00:00 +0300

osso-connectivity-ui (0.73) unstable; urgency=low

  * added fix from 0.70.1, statusbar still remains broken
  * changed 'EAP_PEAP_tunneled_eap_type' to 'PEAP_tunneled_eap_type'

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 10 Jun 2005 16:50:00 +0300

osso-connectivity-ui (0.70.1) unstable; urgency=low

  * fixes gwwizard not exiting on finish

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 10 Jun 2005 15:00:00 +0300

osso-connectivity-ui (0.72.1) unstable; urgency=low

  * bug fix for showing 'select connection' only once

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu,  9 Jun 2005 10:05:29 +0300

osso-connectivity-ui (0.72) unstable; urgency=low

  * check that only one request for each conndlg type except retry is queued
  * two SAP dialogs added
  * connmgr system inactivity, e.g. screen blanking, and hw shutdown signal

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed,  8 Jun 2005 16:30:00 +0300

osso-connectivity-ui (0.71) unstable; urgency=low

  * uses libosso rpc functions for app activation to get banners
  * fixed sent/recv bytes in connmgr

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  6 Jun 2005 15:00:00 +0300

osso-connectivity-ui (0.70) unstable; urgency=low

  * fixes bug #12477
  * uses libcertman1 for private key passwd dialog
  * added scrolledwindow in gwwizard due to vkb shrinking dialog

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  3 Jun 2005 13:00:00 +0300

osso-connectivity-ui (0.69) unstable; urgency=low

  * fixes bug #7039
  * username/password dlg implemented
  * updated startup wizard script to use gwwizard return value
  * changed gwhwdetect to run after sdp query in gwdialogs and gwwizard

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 31 May 2005 18:10:00 +0300

osso-connectivity-ui (0.68) unstable; urgency=low

  * fixes bugs #10687, #13273
  * testing wheter checking for help ids make sense
  * text on finish page into one logical id in iap wizard

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 27 May 2005 14:25:00 +0300

osso-connectivity-ui (0.67) unstable; urgency=low

  * immediately do 'gtk_cell_layout_pack_start' on a new renderer or crash...

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 26 May 2005 15:07:00 +0300

osso-connectivity-ui (0.66) unstable; urgency=low

  * fixes bugs #11707, #11234
  * fixed oddities with the private key dlg, waiting for certman lib 1
  * ellipsizing of settings name column and preferred iap combo box
  * fixed wrong clearing of user_moved flag in gwdialogs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 26 May 2005 12:45:00 +0300

osso-connectivity-ui (0.65) unstable; urgency=low

  * fixed bug #8640
  * fixed shell script creation to use more of configure.in functionality
  * added gwwizard startup script
  * integrated conndlgs with af startup scripts which use dsme when needed
  * fix for nonexistent certificate id in 'ui_get_privatekey()' in conndlgs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 24 May 2005 14:05:00 +0300

osso-connectivity-ui (0.64) unstable; urgency=low

  * added MSCHAPv2 change password dialog to conndlgs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 23 May 2005 10:10:03 +0300

osso-connectivity-ui (0.63) unstable; urgency=low

  * Implemented EAP GTC dialog to conndlgs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 18 May 2005 16:20:00 +0300

osso-connectivity-ui (0.62) unstable; urgency=low

  * added certification info to releasenotes
  * applied the same lousy^Whack^Wfix to the iap list selection

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 18 May 2005 12:35:00 +0300

osso-connectivity-ui (0.61) unstable; urgency=low

  * fixes bugs #11950, #11969
  * added selection hack^D^D^D^Dfix to conndlgs
  * added hack^D^D^D^Dfix for selecting the desired item in gwdialogs and
    gwwizard

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 16 May 2005 12:00:00 +0300

osso-connectivity-ui (0.60) unstable; urgency=low

  * fixes bug #11283
  * gwdialogs shows either preferred device or last scanned device
  * dBm values now correctly (casted) for wlan scans

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 12 May 2005 13:45:00 +0300

osso-connectivity-ui (0.59) unstable; urgency=low

  * fixes bugs #10381, #10954
  * connmgr flight mode banners and top level set for dimmed widgets
  * no extra dlgs on multiple flight mode activations in connmgr
  * strong bt pin dlg uses preferred gw on NULL or "" bt bda
  * disconnect signal added to connmgr

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  9 May 2005 16:05:00 +0300

osso-connectivity-ui (0.58) unstable; urgency=low

  * fixes bugs #11286, #11216, #10951, #10582
  * connection manager saves state
  * disconnect gw when preferred gw changed
  * ellipsized iap and gw names in all places
  * *_BT_DISABLED from bt* programs not treated as flight mode anymore

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  6 May 2005 15:45:00 +0300

osso-connectivity-ui (0.57) unstable; urgency=low

  * fixes bugs #10687, #11153
  * help added to gateway dlgs, bt pair dlg, choose connection dlg
  * help added to connmgr

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue,  3 May 2005 14:25:00 +0300

osso-connectivity-ui (0.56) unstable; urgency=low

  * updated l10n for all languages
  * changed the no ap dialog to the no conns text line in conndlgs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  2 May 2005 11:00:00 +0300

osso-connectivity-ui (0.55) unstable; urgency=low

  * disabled "row-activated" in conndlgs due to bug #9006
  * updated phone details dlg to show network type and services
  * added saving of bt service type
  * added connection lost sound to statusbar plugins

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 27 Apr 2005 15:15:00 +0300

osso-connectivity-ui (0.54) unstable; urgency=low

  * bugs #8255, #9618, #9822, #10066, #10103 already fixed
  * fixes bugs #9909, #6818
  * connection manager raised when status bar menu clicked
  * updated gwdialogs to use btcond update_dev_info
  * connmgr close on libosso request
  * show only DUN IAPs for the network types supported by the gw

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 22 Apr 2005 16:50:00 +0300

osso-connectivity-ui (0.53) unstable; urgency=low

  * fix iap compare function when adding ad-hoc wlan items one column at a time
  * list crashing bug #9006 still haunts conndlgs
  * max chars banner added to gwconn, gwwizard, pin dlg, sim pin dlg
  * destroy hash table and recreate when needed in iap_common
  * cleaned up IAP list walkthrough in iap_settings

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 21 Apr 2005 16:10:00 +0300

osso-connectivity-ui (0.52) unstable; urgency=low

  * fixes bugs #9822, #9908, #9618
  * fixed time formatting in connmgr
  * added scanning for (hidden ssid) wlans not found by broadcast
  * infobanners and input checking for WEP keys

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 20 Apr 2005 12:00:00 +0300

osso-connectivity-ui (0.51) unstable; urgency=low

  * fixes bugs #9777, #9917, #9964
  * added "row-activated" signal to settings
  * added "row-activated" signal to tree views in conndlg, gwdialogs, -wizard
  * added explicite ellipsizing to wlan scan in iap_common
  * fixed flawed #else ... #endif in gateway_dbus
	
 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 15 Apr 2005 13:19:09 +0300

osso-connectivity-ui (0.50) unstable; urgency=low

  * lots of small bugs fixed in gw connectivity UIs
  * fixes bugs #9108, #9347, #9656, 9660, 

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 14 Apr 2005 15:40:00 +0300

osso-connectivity-ui (0.49) unstable; urgency=low

  * added no WPA2 and no SAP dialogs to conndlgs
  * wlan icons selected in order from best security to worst
  * icd shows disconnect dialog
  * flight mode indicated in internet status bar
  * flight mode indicated in connmgr

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 12 Apr 2005 13:25:00 +0300

osso-connectivity-ui (0.48) unstable; urgency=low

  * removed libcst "hacks", libcst works
  * gwhwdetect started over the session bus
  * some session bus message sending functionality added
  * connect dlg wlan scan updated, banner and "no iaps" dlg implemeted
  * iapsettings wlan scan updated
  * wlan scan updated
  * if no preferred gw, no DUN IAPs are shown in choose connection dlg
  * added flight mode to choose connection and gw pin dlgs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 11 Apr 2005 13:45:00 +0300

osso-connectivity-ui (0.47) unstable; urgency=low

  * (hopefully) fixed bug #8997
  * fixed bugs #8850, #8924, #8932, #9054
  * dropped reference count for 3 instances of gtk_tree_view_new_with_model
  * updated previous release note

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue,  5 Apr 2005 13:30:30 +0300

osso-connectivity-ui (0.46.2) unstable; urgency=low

  * updated status bar icons
  * more bug hunting: bug in gtk_list_store_clear(), crashes app

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  4 Apr 2005 14:40:56 +0300

osso-connectivity-ui (0.46.1) unstable; urgency=low

  * bug hunting for the crashing connect dialog

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  4 Apr 2005 13:40:00 +0300

osso-connectivity-ui (0.46) unstable; urgency=low

  * fixes bugs #5817, #8823
  * fixes bugs #8185, #6031, #8253, #8296, #8391, #8597, #8696, #8758
  * l10n complete, placeholders some strings
  * added search for selected preferred device in gwdialogs
  * fixed wlan scan view to request a sorting function from caller
  * sort preferred or last used iap first
  * added gw icons to bt pin code dialogs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed,  1 Apr 2005 14:00:00 +0200

osso-connectivity-ui (0.45) unstable; urgency=low

  * fixed choose connection dlg bug when clearing iaps
  * added ad-hoc wlans to choose connection dlg

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 22 Mar 2005 16:10:00 +0200

osso-connectivity-ui (0.44) unstable; urgency=low

  * fixes bugs #8065, #7903, #8226
  * updaed l10n changes
  * iaps sorted in choose connection dialog, preferred/last used iap missing
  * updated connection manager
  * updated gwwizard to use sdp from gateway_service
  * updated gwwizard to use gateway_pairing

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 21 Mar 2005 12:15:00 +0200

osso-connectivity-ui (0.43) unstable; urgency=low

  * fixes bugs #6938, #7990
  * fixed embarrasing autogenerated pin code length bug
  * updated gwwizard to use gateway_search

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 17 Mar 2005 11:50:00 +0200

osso-connectivity-ui (0.42) unstable; urgency=low

  * disconnect and change phone dialogs
  * BT PIN code autogenerated, strong BT pairing dialog
  * SIM PIN dialogs
  * disconnet confirmation dlg shown by conndlgs, status bar, workaround
    until icd supports it
  * remove link key in gwdialogs
  * added banners to connection manager, status bar
  * updated internet status bar icon

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue,  8 Mar 2005 15:20:46 +0200

osso-connectivity-ui (0.41) unstable; urgency=low

  * wlan strength indicated with icons
  * fixes bugs #6174, #6518
  * new layout for connection manager

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  7 Mar 2005 19:45:00 +0200

osso-connectivity-ui (0.40) unstable; urgency=low

  * fixed bugs #4385, 6280, 6366, 6679, 6702
  * updated saving of bt devices
  * pin dialog closes with error on receiving a 'disconnected' gw status
  * status bar banners implemented
  * fixed easy wlan dialogs
  * partitially update connectivity settings with ui spec 2.0
  * fix store/restore of omit_proxy (fixes bug #5548)
  * use icon theme to display iap wizard icons
  * uncheck use_preferred option when preferred_iap is none (fixes bug #6304)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  4 Mar 2005 15:10:00 +0200

osso-connectivity-ui (0.39) unstable; urgency=low

  * added sdp and gwhwdetect to gateway dialogs
  * moved sdp and gwhwdetect code to gateway_service

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed,  2 Mar 2005 16:00:00 +0200

osso-connectivity-ui (0.38) unstable; urgency=low

  * all programs updated to use 'btpin' >= 0.18
  * updated gwdialogs to support pairing (NB: check syslog for result)
  * fixed package names in po/debian/control
  * changed pin dlg to be created only on 'org.bluez.PinAgent' request
  * changed pin dlg to use common dialog code from gateway_common

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 1 Mar 2005 16:30:00 +0200

osso-connectivity-ui (0.37) unstable; urgency=low

  * added 'Select phone' dialog to gwdialogs
  * added flight mode detection to gwwizard and gwdialogs
  * fixes bugs #6373, #6439
  * updated gw status handling
  * removal of bt device from gconf

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 25 Feb 2005 14:40:00 +0200

osso-connectivity-ui (0.36) unstable; urgency=low

  * fixes bugs #2805, #6127
  * wlan iap type and capability icons
  * updating of gw in connmgr

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 21 Feb 2005 14:30:00 +0200

osso-connectivity-ui (0.35) unstable; urgency=low

  * fixed 'btpair' exit status handling
  * updated bt icons

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 21 Feb 2005 08:49:05 +0200

osso-connectivity-ui (0.34) unstable; urgency=low

  * addin pid of 'btpair' in order not to relaunch too many on error
  * updated to use icon theme in all places
  * sending clock offset to 'btpair' (Johan)
  * updated all apps to disconnect broadcast signals on close
  * connmgr activates/deactivates flight mode
  * updated connmgr to use gw status and devicenum functions
  * gw status bar always activates gwwizard

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 18 Feb 2005 17:00:00 +0200

osso-connectivity-ui (0.33) unstable; urgency=low

  * recompile against new libraries
  * CON-NOT006 not implemented, see bug #6221

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 17 Feb 2005 15:30:00 +0200

osso-connectivity-ui (0.32) unstable; urgency=low

  * added link key ok/conn. failed handling of 'btpair' exit in gwwizard
  * fixes bug #6079
  * fixed bug in flight mode status reception
  * started implementing gateway dialogs, added dbus and debian files

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 17 Feb 2005 14:00:00 +0200

osso-connectivity-ui (0.31) unstable; urgency=low

  * fixed inet and gw dialog button texts
  * fixed internet status bar (wrong order of static lib linking)

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 15 Feb 2005 10:20:00 +0200

osso-connectivity-ui (0.30) unstable; urgency=low

  * updated internet settings from 0.27.1
  * internet status bar plugin implementation started, plugin does not start
  * flight mode integrated into gateway status bar plugin
  * requesting of flight mode on/off implemented
  * retrieval of flight mode status implemented
  * moved code from gateway status bar plugin to gateway_common.[ch]

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 11 Feb 2005 17:40:00 +0200

osso-connectivity-ui (0.29) unstable; urgency=low

  * fixes bugs #5803, #5857
  * gateway status bar plugin, only flight mode indication is missing

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 10 Feb 2005 15:10:00 +0200

osso-connectivity-ui (0.27.1) unstable; urgency=low

  * fixed blocker bug #5857

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 10 Feb 2005 13:56:15 +0200

osso-connectivity-ui (0.28) unstable; urgency=low

  * UI part of 5531 fixed earlier in 0.27
  * pop up change iap dialog from connmgr via icd, fixes bug #5574
  * cleaning up iap_conndlgs.c, fixing of bug #5688
  * releasenotes.txt.in version generation via Makefile.am
  * fix to gwwizard sdp in progress error handling, fixes bug #5701
  * fix to gwwizard auth failed state check

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  7 Feb 2005 15:30:00 +0200

osso-connectivity-ui (0.27) unstable; urgency=low

  * fixes bugs #5519, #5530, #5555, #5624
  * gw hw detection integrated, but gw hw detection code not working well
  * added notification for bt device change in gconf
  * integration of gw hw detection
  * saving of network type
  * updated header generation in .po files
  * fixed closing of conndlgs in script

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  4 Feb 2005 17:10:00 +0200

osso-connectivity-ui (0.26) unstable; urgency=low

  * gwwizard depends on 'osso-bttools', updated to use 'btpair'
  * updated conndlgs to ServiceOwnerChanged, but dbus 0.23 buggy
  * fixes bugs #5206, #5208, #5210, #5277, #5304, #5341, #5351, #5372

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 28 Jan 2005 16:00:00 +0200

osso-connectivity-ui (0.25) unstable; urgency=low

  * fixed circular build by moving libinet_common to ./common
  * added "easy wlan" dialogs to choose connection dialog
  * invokes settings from connection manager, fixes bug #4180
  * "easy wlan" dialogs provided as static library
  * wpa psk and eap dialogs implemented
  * added pw empty infobanner to gwwizard and pin dialogs

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 27 Jan 2005 16:20:00 +0200

osso-connectivity-ui (0.24) unstable; urgency=low

  * integrated 0.23.1 l10n stuff
  * hildon name/password dialog used by conndlgs
  * connection failed dialogs added to conndlgs
  * fixes bugs #3533, #4203, #5130, #5131, #5132, #5156

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 27 Jan 2005 10:15:00 +0200

osso-connectivity-ui (0.23.1) unstable; urgency=low

  * added all language packages, all containing engineering english

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 25 Jan 2005 16:00:00 +0200

osso-connectivity-ui (0.23) unstable; urgency=low

  * sbox/arm not properly updated, recompiling

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 24 Jan 2005 09:55:17 +0200

osso-connectivity-ui (0.22) unstable; urgency=low

  * settings using new API, but downgraded in this package to be compilable
  * updated conndlgs to queue dialog requests and to serve them FCFS
  * updated wlan scanning to use hard-coded tx power level
  * updated pin dialog
  * telephone editor switched to gtkentry with validation
  * preferred iap combo box now include 'None' entry and dimming
    of the 'Use without asking' checkbox
  * most iap settings infoprints implemented

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 21 Jan 2005 19:09:00 +0200

osso-connectivity-ui (0.21) unstable; urgency=low

  * gwwizard pin entry dimming
  * bug #3966 fixed earlier
  * all current code localized, except for obsolete widgets
  * gwwizard no longer uses a bunch of global variables
  * fixes bug #4450
  * gwwizard l10n

 -- Patrik Flykt <patrik.flykt@nokia.com>  Thu, 20 Jan 2005 14:00:00 +0200

osso-connectivity-ui (0.20) unstable; urgency=low

  * fixes bugs #2518, #2804, #3951, #4048, #4138, #4219, #4231, #4250,
    #4254, #4257, #4273, #4337, #4402
  * settings using new API, but downgraded in this package to be compilable
  * l10n magic script and whistles
  * l10n of settings
  * gateway wizard almost feature complete, all dialogs shown, all errors
    checked
  * version numbers in logging
  * fixed saving of bt settings

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  17 Jan 2005 13:15:00 +0200

osso-connectivity-ui (0.19) unstable; urgency=low

  * gwwizard sdp processing bug fixed
  * name column expanding in connection dialog

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 22 Dec 2004 16:05:00 +0200

osso-connectivity-ui (0.18) unstable; urgency=low

  * new look for connectivity dialog
  * fixed dependency on nonexistent l10n packages
  * updated missing entries from previous changelog
  * conndlgs changed back to use method call because of icd

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 22 Dec 2004 11:50:00 +0200

osso-connectivity-ui (0.17) unstable; urgency=low

  * conndlgs by mistake sent method call without callback instead of
    signal, should fix bug #3792
  * fixes bugs #3797, #3896, #3907
  * connmgr startup uses inet and phone disconnect functions to set widgets
  * pin code dialog reregisters service after gwwizard has exited
  * connmgr supports l10n
  * l10n support for UI
  * gwconn gwwizard shows search banner using passed-down widget structure
  * gwconn uses hildon activation from common
  * common hildon activation now registers a callback
	
 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 21 Dec 2004 16:50:00 +0200

osso-connectivity-ui (0.16) unstable; urgency=low

  * connection dialogs are started automatically by af
  * checking some of the content in the settings
  * fixed finish/cancel in settings dialog(s)
  * updated showing of connection manager status and icons

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri,  3 Dec 2004 14:38:41 +0200

osso-connectivity-ui (0.15.1) unstable; urgency=low

  * updated version number only so that other people get updates

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed,  1 Dec 2004 13:12:02 +0200

osso-connectivity-ui (0.15) unstable; urgency=low

  * updating of wlan strength according to scan results
  * wlan IAP selection in connect dialog based on explicit boolean value
  * removed extra escaping from connect dialog
	
 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 29 Nov 2004 12:22:18 +0200

osso-connectivity-ui (0.14) unstable; urgency=low

  * updated connection manager spacing and phone status
  * fixed closing of BT pin dialog
  * BT and connection icons

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 26 Nov 2004 16:00:00 +0200

osso-connectivity-ui (0.13) unstable; urgency=low

  * DUN selection list focus fixed
  * functioning BT pin dialog, HildonCaption bug fixed in version 0.8.2

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 23 Nov 2004 16:38:57 +0200

osso-connectivity-ui (0.12) unstable; urgency=low

  * added bt pin dialog

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 19 Nov 2004 17:26:34 +0200

osso-connectivity-ui (0.11) unstable; urgency=low

  * added support for dummy IAP requested by demo

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 19 Nov 2004 13:27:38 +0200

osso-connectivity-ui (0.10) unstable; urgency=low

  * fixes saving of BT data
  * bug #3208 already fixed in earlier release

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 19 Nov 2004 12:30:05 +0200

osso-connectivity-ui (0.9) unstable; urgency=low

  * fixes bugs #3049, 3082, 3083, 3093
  * made to work with hildon 0.8.1
  * wlan strength indicated with text
	
 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue, 16 Nov 2004 16:50:00 +0200

osso-connectivity-ui (0.8) unstable; urgency=low

  * Gateway Selection Wizard is available only from Connection Manager
  * fixes bugs #2805, #2811

 -- Patrik Flykt <patrik.flykt@nokia.com>  Fri, 12 Nov 2004 14:40:00 +0200

osso-connectivity-ui (0.7) unstable; urgency=low

  * fixed part of statistics update in Connection Manager
  * re-release of 0.6

 -- Patrik Flykt <patrik.flykt@nokia.com>  Wed, 10 Nov 2004 15:07:12 +0200

osso-connectivity-ui (0.6) unstable; urgency=low

  * IAP settings accessible from control panel
  * initial release of the Connection Manager
  * updates to saving of BT device settings
  * fixes bugs #2537, #2784
  * updated saving of bt settings

 -- Patrik Flykt <patrik.flykt@nokia.com>  Tue,  9 Nov 2004 15:00:00 +0300

osso-connectivity-ui (0.5) unstable; urgency=low

  * Added standalone IAP settings and wizard

 -- Timo  Teräs <ext-timo.teras@nokia.com>  Thu, 28 Oct 2004 13:58:40 +0300

osso-connectivity-ui (0.4) unstable; urgency=low

  * Connection Manager package is included, but doesn't provide any features
  * added connectivity dialogs to osso-af-init directory
  * username/password dialog revived since the supplied widget has limitations
  * fixes bugs #2244, #2298

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 27 Oct 2004 13:50:00 +0300

osso-connectivity-ui (0.3) unstable; urgency=low

  * debugging to standard out or syslog
  * dbus service providing ICd dialogs, including the Connect Dialog

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 11 Oct 2004 15:00:00 +0300

osso-connectivity-ui (0.2) unstable; urgency=low

  * added standalone version of the Connect Dialog
  * added meta package
  * fixes UI part of bug #1450

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon, 29 Sep 2004 11:45:00 +0300

osso-connectivity-ui (0.1) unstable; urgency=low

  * initial release with Gateway Wizard.

 -- Patrik Flykt <patrik.flykt@nokia.com>  Mon,  2 Aug 2004 15:15:48 +0300

